const babel = require('rollup-plugin-babel')
const vue = require('rollup-plugin-vue')
const commonjs = require('rollup-plugin-commonjs')
const nodeResolve = require('rollup-plugin-node-resolve')
const postcss = require('rollup-plugin-postcss')
const { terser } = require('rollup-plugin-terser')
const json = require('rollup-plugin-json')
const url = require('rollup-plugin-url')
const path = require('path')
const context = process.cwd()
module.exports = [
  {
    input: path.resolve(context, 'src/index.js'),
    output: {
      file: path.resolve(context, 'dist/lib/index.js'),
      format: 'cjs'
    },
    external: ['vue', 'axios'],
    plugins: [
      vue({
        css: false
      }),
      nodeResolve(),
      commonjs(),
      json(),
      url(),
      babel({
        runtimeHelpers: true
      }),
      terser(),
      postcss({
        config: false,
        extract: true,
        minimize: true,
        extensions: ['.css', '.scss'],
        plugins: [require('autoprefixer')()]
      })
    ]
  },
  {
    input: path.resolve(context, 'src/index.js'),
    output: {
      file: path.resolve(context, 'dist/es/index.js'),
      format: 'es'
    },
    external: ['vue', 'axios'],
    plugins: [
      vue({
        css: false
      }),
      nodeResolve(),
      commonjs(),
      json(),
      url(),
      babel({
        runtimeHelpers: true
      }),
      terser(),
      postcss({
        config: false,
        extract: true,
        minimize: true,
        extensions: ['.css', '.scss'],
        plugins: [require('autoprefixer')()]
      })
    ]
  }
]
