const path = require('path')
const webpack = require('webpack')
const webpackDevServer = require('webpack-dev-server')
const webpackMerge = require('webpack-merge')
const opn = require('opn')
const portfinder = require('portfinder')
const defaultWebpackConfig = require(path.resolve(__dirname, '../webpack.dev.js'))
const { getLocalIp } = require('./util')

const context = process.cwd()
const basePort = '8080'
const webpackConfig = webpackMerge(defaultWebpackConfig)
const localIp = getLocalIp()
portfinder.basePort = basePort
portfinder
  .getPortPromise()
  .then(port => {
    const compiler = webpack(webpackConfig)

    const server = new webpackDevServer(compiler, Object.assign({}, webpackConfig.devServer))
    opn(`http://${localIp}:${port}`)

    server.listen(port, localIp, err => {
      if (err) {
        console.log(err)
        process.exit(1)
      }
    })
  })
  .catch(err => {
    console.log(err)
    process.exit(1)
  })
