const { exec } = require('child_process')
const util = require('util')

exports.getLocalIp = function() {
  let interfaces = require('os').networkInterfaces(),
    localIp = '0.0.0.0'
  out: for (let devName in interfaces) {
    let iface = interfaces[devName]
    for (var i = 0; i < iface.length; i++) {
      var alias = iface[i]
      if (alias.family === 'IPv4' && alias.address !== '127.0.0.1' && !alias.internal) {
        localIp = alias.address
        break out
      }
    }
  }
  return localIp
}

exports.runCmd = function(cmd, options = {}) {
  return util.promisify(exec)(cmd, options)
}
